Loading...
Searching...
No Matches
QGpgME::WKDRefreshJob Class Reference

`#include <wkdrefreshjob.h>`

Inheritance diagram for QGpgME::WKDRefreshJob:
[legend]
Collaboration diagram for QGpgME::WKDRefreshJob:
[legend]

## Public Member Functions

GpgME::Error | start (const std::vector< GpgME::Key > &keys)
GpgME::Error | start (const std::vector< GpgME::UserID > &userIDs)
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| WKDRefreshJob (std::unique_ptr< WKDRefreshJobPrivate >, QObject *parent)
Protected Member Functions inherited from QGpgME::AbstractImportJob
| AbstractImportJob (std::unique_ptr< AbstractImportJobPrivate >, QObject *parent)
| AbstractImportJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Signals inherited from QGpgME::AbstractImportJob
void | result (const GpgME::ImportResult &result, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

This job refreshes OpenPGP keys via WKD.

## Member Function Documentation

## start() [1/2]

GpgME::Error WKDRefreshJob::start | ( | const std::vector< GpgME::Key > & | keys | ) |

Starts a refresh of the keys. Only user IDs that have WKD set as origin are used for the WKD lookup. Revoked user IDs are ignored.

Use the other start overload to use all user IDs for the WKD lookup.

## start() [2/2]

GpgME::Error WKDRefreshJob::start | ( | const std::vector< GpgME::UserID > & | userIDs | ) |

Starts a refresh of the keys belonging to the user IDs userIDs. All user IDs are used for the WKD lookup. Revoked user IDs are ignored.

The documentation for this class was generated from the following files:

- wkdrefreshjob.h
- wkdrefreshjob.cpp